Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » problem installing and running glassfish v3(it wants a JDK not a JRE)
problem installing and running glassfish v3 [message #777153] Tue, 10 January 2012 00:14 Go to next message
Apache Omega is currently offline Apache Omega
Messages: 10
Registered: December 2011
Junior Member
I'm trying to run glassfish but I keep getting an error stating that I need to select a jdk in server properties window and select a jdk in the runtime environments section but I cant find it
I posted a screen shot of what I'm seeing
or check attachment
Please help
index.php/fa/6682/0/
  • Attachment: Untitled.png
    (Size: 79.32KB, Downloaded 280 times)
Re: problem installing and running glassfish v3 [message #777595 is a reply to message #777153] Tue, 10 January 2012 19:30 Go to previous message
Larry Isaacs is currently offline Larry Isaacs
Messages: 1308
Registered: July 2009
Senior Member
On 1/9/2012 7:14 PM, Apache Omega wrote:
> I'm trying to run glassfish but I keep getting an error stating that I need to select a jdk in server properties window and select a jdk in the runtime environments section but I cant find it
> I posted a screen shot of what I'm seeing
> or check attachment
> Please help
>

I believe "Server properties 'Runtime Environment' section in the
"Problem Occurred" dialog is actually referring to the Server ->
"Runtime Environments" preference page. On this page, select the select
the Glassfish runtime and click Edit. If the Glassfish support is like
the other WTP servers, you will find the selection for the Java runtime
to use. For Glassfish, this Java runtime needs to reference a JDK
instead of a JRE. Since I am not familiar with what the Glassfish
Eclipse plug-ins actually implement, I could be wrong about this.

Cheers,
Larry
Previous Topic:Problems implementing XML Schema Editor in my RCP application
Next Topic:Where should the saaj.jar be located?
Goto Forum:
  


Current Time: Wed Oct 22 09:49:45 GMT 2014

Powered by FUDForum. Page generated in 0.01601 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software